[Observation]LibreOffice help package Dependency wanted Firefox/Firefox-esr/Epiphany browser present

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
User avatar
antikythera
Level 9
Level 9
Posts: 2704
Joined: Thu Jul 02, 2020 12:52 pm

[Observation]LibreOffice help package Dependency wanted Firefox/Firefox-esr/Epiphany browser present

Post by antikythera »

I tried removing Firefox from my system. Libreoffice 6.1.5 which comes with LMDE4 had help-en-us installed too and the help package prevented a hassle free removal.

I had to remove that too before I could ditch Firefox without the system wanting to install firefox-esr or epiphany and evince instead. Seems kind of ludicrous but obviously that build of LO Help compiled by Debian devs stipulated it. No other linux distribution I've ever used has had this weird dependency.

I've removed their way out of date build of LibreOffice completely now as I had added the flatpak of version 7 previously to try it out and found it works perfectly well on LMDE4 in flatpak form. Yes the storage footprint is slightly larger but space is not at a premium on my root partition and I learnt the flatpak housekeeping commands to keep cache and redundant unused components in check thanks to shared knowledge on this forum ;)
Don't take life so seriously, nobody gets out alive anyway!
AMSTRAD CPC6128 - 128KB RAM, 3" Hitachi Floppy Diskette Drive, External Sony Cassette Recorder, Locomotive BASIC 1.1, CTM-644 Monitor
User avatar
Mia
Level 1
Level 1
Posts: 48
Joined: Tue Feb 06, 2018 10:53 am
Location: Ukraine

Re: [Observation]LibreOffice help package Dependency wanted Firefox/Firefox-esr/Epiphany browser present

Post by Mia »

The dependency should include the 'www-browser' variant, which is a virtual package provided by all browsers.
Post Reply

Return to “Software & Applications”